# TODO:
# - split library into subpackage?
#
%define	module	binwalk
Summary:	Binary image analyze tool
Name:		binwalk
Version:	2.3.3
Release:	3
License:	MIT
Group:		Development
Source0:	https://github.com/devttys0/binwalk/archive/v%{version}.tar.gz
# Source0-md5:	6a7e53667b24f1cb92c29ec477cb4953
URL:		https://github.com/devttys0/binwalk
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binwalk is a tool for searching a given binary image for embedded
files and executable code. Specifically, it is designed for
identifying files and code embedded inside of firmware images. Binwalk
uses the libmagic library, so it is compatible with magic signatures
created for the Unix file utility.

Binwalk also includes a custom magic signature file which contains
improved signatures for files that are commonly found in firmware
images such as compressed/archived files, firmware headers, Linux
kernels, bootloaders, filesystems, etc.

%prep
%setup -q

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc API.md README.md
%attr(755,root,root) %{_bindir}/binwalk
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info

%changelog
* Sat Mar 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/binwalk.git;a=log;h=master

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 93975c5
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 80d86bd
- rebuild with python 3.10

* Fri Feb 18 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> b50e0dd
- Up to 2.3.3

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 01e214f
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 26ab43d
- rebuild with python 3.8
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d615a90
- release 4 (by relup.sh)

* Sun Nov 12 2017 Elan Ruusamäe <glen@pld-linux.org> 060b59c
- adapter

* Sun Nov 12 2017 Adam Osuchowski <adwol@pld-linux.org> 0883814
- add "BuildArch: noarch"
- rel up

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1064d39
- python 3.6
- release 2 (by relup.sh)

* Fri Apr 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 789bf74
- up to 2.1.1

* Sat Aug 27 2011 Tomasz Pala <gotar@pld-linux.org> 17e8446
- initial PLD release

